Package org.apache.commons.net.pop3

# Class POP3MessageInfo

java.lang.Object
org.apache.commons.net.pop3.POP3MessageInfo

public final class POP3MessageInfo extends Object
POP3MessageInfo is used to return information about messages stored on a POP3 server. Its fields are used to mean slightly different things depending on the information being returned.

In response to a status command, `number` contains the number of messages in the mailbox, `size` contains the size of the mailbox in bytes, and `identifier` is null.

In response to a message listings, `number` contains the message number, `size` contains the size of the message in bytes, and `identifier` is null.

In response to unique identifier listings, `number` contains the message number, `size` is undefined, and `identifier` contains the message's unique identifier.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `identifier`
  Identifier.
  `int`
  `number`
  Number.
  `int`
  `size`
  Size.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `POP3MessageInfo()`
  Constructs a new instance with `number` and `size` set to 0, and `identifier` set to null.
  `POP3MessageInfo(int num, int octets)`
  Constructs a new instance with `number` set to `num`, `size` set to `octets`, and `identifier` set to null.
  `POP3MessageInfo(int num, String uid)`
  Constructs a new instance with `number` set to `num`, `size` undefined, and `identifier` set to `uid`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### number

    public int number
    Number.

  - ### size

    public int size
    Size.

  - ### identifier

    public String identifier
    Identifier.

- ## Constructor Details

  - ### POP3MessageInfo

    public POP3MessageInfo()
    Constructs a new instance with `number` and `size` set to 0, and `identifier` set to null.

  - ### POP3MessageInfo

    public POP3MessageInfo(int num, int octets)
    Constructs a new instance with `number` set to `num`, `size` set to `octets`, and `identifier` set to null.
    Parameters:
      `num` - the number
      `octets` - the size

  - ### POP3MessageInfo

    public POP3MessageInfo(int num, String uid)
    Constructs a new instance with `number` set to `num`, `size` undefined, and `identifier` set to `uid`.
    Parameters:
      `num` - the number
      `uid` - the UID

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`
    Since:
      3.6